"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.defaultProps = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _mapToCssModules = _interopRequireDefault(require("map-to-css-modules"));

var _Button = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Button"));

var _Header = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Header"));

var _conditional = require("@bootstrap-styled/css-mixins/lib/conditional");

var _theme = _interopRequireDefault(require("./theme"));

var _OffsetNavPush = _interopRequireDefault(require("./OffsetNavPush"));

var _OffsetNavSlide = _interopRequireDefault(require("./OffsetNavSlide"));

var _Overlay = _interopRequireDefault(require("./Overlay"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultProps = {
  button: {
    component: _Button.default,
    className: null
  },
  offsetNav: {
    show: null,
    bgColor: null,
    top: null,
    right: false,
    push: false
  },
  noOverlay: false,
  menuClose: false,
  onClick: null,
  shadowHeader: false,
  cssModule: null,
  dismiss: null,
  'nav-top': null,
  light: false,
  inverse: false,
  fixed: null,
  sticky: null,
  bgColor: null,
  theme: _theme.default
};
exports.defaultProps = defaultProps;

var NavigationBarUnstyled =
/*#__PURE__*/
function (_React$Component) {
  _inherits(NavigationBarUnstyled, _React$Component);

  function NavigationBarUnstyled() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, NavigationBarUnstyled);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(NavigationBarUnstyled)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      show: false
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "handleClick", function (e) {
      var onClick = _this.props.onClick;
      var animationPush = _this.props.offsetNav.push; // eslint-disable-line react/destructuring-assignment

      var wrapper = document.getElementById('wrapper');

      if (onClick) {
        onClick(e);
      }

      _this.setState({
        show: !_this.state.show
      }); // eslint-disable-line react/no-access-state-in-setstate, react/destructuring-assignment
      //  menu-push animation


      if (animationPush && wrapper) {
        wrapper.classList.toggle('active');
      }
    });

    return _this;
  }

  _createClass(NavigationBarUnstyled, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props$offsetNav = this.props.offsetNav,
          animationPush = _this$props$offsetNav.push,
          menuRight = _this$props$offsetNav.right; // eslint-disable-line react/destructuring-assignment

      var wrapper = document.getElementById('wrapper'); //  menu-push animation

      if (animationPush && wrapper) {
        menuRight ? wrapper.classList.toggle('right') : wrapper.classList.toggle('left'); // eslint-disable-line no-unused-expressions
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _cn,
          _this2 = this;

      var _omit = (0, _lodash.default)(this.props, ['theme']),
          className = _omit.className,
          children = _omit.children,
          cssModule = _omit.cssModule,
          button = _omit.button,
          noOverlay = _omit.noOverlay,
          menuClose = _omit.menuClose,
          navTop = _omit['nav-top'],
          light = _omit.light,
          inverse = _omit.inverse,
          fixed = _omit.fixed,
          sticky = _omit.sticky,
          bgColor = _omit.bgColor,
          offsetNav = _omit.offsetNav,
          shadowHeader = _omit.shadowHeader,
          attributesTemp = _objectWithoutProperties(_omit, ["className", "children", "cssModule", "button", "noOverlay", "menuClose", "nav-top", "light", "inverse", "fixed", "sticky", "bgColor", "offsetNav", "shadowHeader"]);

      var _omit2 = (0, _lodash.default)(attributesTemp, ['onClick']),
          attributes = _extends({}, _omit2);

      var ButtonToggle = button.component,
          classNameButton = button.className,
          restButton = _objectWithoutProperties(button, ["component", "className"]);

      var offsetNavShow = offsetNav.show,
          offsetNavBgColor = offsetNav.bgColor,
          offsetNavTop = offsetNav.top,
          offsetNavRight = offsetNav.right,
          offsetNavPush = offsetNav.push;
      var show = this.state.show;
      var cssClasses = (0, _classnames.default)('d-flex', 'justify-content-between', 'w-100', className, (_cn = {
        'navbar-light': light,
        'navbar-inverse': inverse
      }, _defineProperty(_cn, "bg-".concat(bgColor), bgColor), _defineProperty(_cn, "fixed-header-".concat(fixed), fixed), _defineProperty(_cn, "sticky-".concat(sticky), sticky), _cn));
      var buttonMenuRight = offsetNavRight ? 'flex-last' : '';
      var buttonClasses = (0, _classnames.default)(buttonMenuRight, classNameButton, {
        'navbar-toggler-icon p-3 my-auto cursor-pointer': !classNameButton
      });
      var OffsetMenuAnimated = offsetNavPush ? _react.default.createElement(_OffsetNavPush.default, {
        className: "offset-navigation-bar",
        active: show,
        bgColor: offsetNavBgColor,
        right: offsetNavRight,
        push: offsetNavPush,
        top: offsetNavTop,
        menuClose: noOverlay && menuClose,
        dismiss: this.handleClick,
        show: offsetNavShow
      }, children) : _react.default.createElement(_OffsetNavSlide.default, {
        className: "offset-navigation-bar",
        active: show,
        bgColor: offsetNavBgColor,
        right: offsetNavRight,
        push: offsetNavPush,
        top: offsetNavTop,
        menuClose: noOverlay && menuClose,
        dismiss: this.handleClick,
        show: offsetNavShow
      }, children);
      return _react.default.createElement("div", null, !noOverlay && _react.default.createElement(_Overlay.default, {
        active: show,
        onClick: this.handleClick
      }), _react.default.createElement(_Header.default, _extends({
        className: (0, _mapToCssModules.default)((0, _classnames.default)(cssClasses), cssModule),
        shadowHeader: shadowHeader
      }, attributes, {
        ref: function ref(header) {
          _this2.header = header;
        }
      }), _react.default.createElement(ButtonToggle, _extends({
        className: buttonClasses,
        onClick: this.handleClick
      }, restButton)), navTop && _react.default.createElement("div", null, navTop)), OffsetMenuAnimated);
    }
  }]);

  return NavigationBarUnstyled;
}(_react.default.Component);
/**
 * TODO: write props documentation
 */


_defineProperty(NavigationBarUnstyled, "propTypes", {
  className: _propTypes.default.string.isRequired,
  children: _propTypes.default.node.isRequired,
  theme: _propTypes.default.object,
  onClick: _propTypes.default.func,
  shadowHeader: _propTypes.default.bool,
  noOverlay: _propTypes.default.bool,
  menuClose: _propTypes.default.bool,
  cssModule: _propTypes.default.object,
  dismiss: _propTypes.default.bool,
  button: _propTypes.default.shape({
    component: _propTypes.default.any,
    className: _propTypes.default.string
  }),
  'nav-top': _propTypes.default.node,
  light: _propTypes.default.bool,
  inverse: _propTypes.default.bool,
  fixed: _propTypes.default.string,
  sticky: _propTypes.default.string,
  bgColor: _propTypes.default.string,
  offsetNav: _propTypes.default.shape({
    show: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg', 'xl']),
    bgColor: _propTypes.default.string,
    top: _propTypes.default.string,
    right: _propTypes.default.bool,
    push: _propTypes.default.bool
  })
});

_defineProperty(NavigationBarUnstyled, "defaultProps", defaultProps);

var NavigationBar = (0, _styledComponents.default)(NavigationBarUnstyled).withConfig({
  displayName: "NavigationBar",
  componentId: "sc-10ksn4g-0"
})(["", ""], function (props) {
  return "\n    z-index:  ".concat((0, _conditional.ifElse)(props.offsetNav.top, "calc(".concat(props.theme.navigationBar['$zindex-overlay'], " + 15)"), "calc(".concat(props.theme.navigationBar['$zindex-overlay'], " - 10)")), ";\n    &.fixed-header-").concat(props.fixed, " {\n      position: fixed;\n      ").concat(props.fixed, ": 0;\n    }\n  ");
});
NavigationBar.defaultProps = defaultProps;
/** @component */

var _default = NavigationBar;
exports.default = _default;