"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.defaultProps = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _transition = _interopRequireDefault(require("@bootstrap-styled/css-utils/lib/transition"));

var _theme = _interopRequireDefault(require("./theme"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultProps = {
  active: false,
  theme: _theme.default
}; // eslint-disable-next-line react/prefer-stateless-function

exports.defaultProps = defaultProps;

var OverlayUnstyled =
/*#__PURE__*/
function (_React$Component) {
  _inherits(OverlayUnstyled, _React$Component);

  function OverlayUnstyled() {
    _classCallCheck(this, OverlayUnstyled);

    return _possibleConstructorReturn(this, _getPrototypeOf(OverlayUnstyled).apply(this, arguments));
  }

  _createClass(OverlayUnstyled, [{
    key: "render",
    value: function render() {
      var _omit = (0, _lodash.default)(this.props, ['theme']),
          className = _omit.className,
          active = _omit.active,
          attributes = _objectWithoutProperties(_omit, ["className", "active"]);

      return _react.default.createElement("div", _extends({
        className: (0, _classnames.default)(className, 'fade', {
          show: active
        })
      }, attributes));
    }
  }]);

  return OverlayUnstyled;
}(_react.default.Component);

_defineProperty(OverlayUnstyled, "propTypes", {
  className: _propTypes.default.string.isRequired,
  active: _propTypes.default.bool,
  theme: _propTypes.default.object
});

_defineProperty(OverlayUnstyled, "defaultProps", defaultProps);

var Overlay = (0, _styledComponents.default)(OverlayUnstyled).withConfig({
  displayName: "Overlay",
  componentId: "sc-8l1kil-0"
})(["", ""], function (props) {
  return "\n    position: fixed;\n    top: 0;\n    width: 100%;\n    height: 100%;\n    z-index: ".concat(props.theme.navigationBar['$zindex-overlay'], ";\n    background: ").concat(props.theme.navigationBar['$overlay-bg'], ";\n    transform: translate3d(100%, 0, 0);\n    ").concat(_transition.default.fade(props.theme['$enable-transitions'], props.theme['$transition-fade']), "\n    &.show {\n      transform: translate3d(0, 0, 0);\n    }\n  ");
});
Overlay.defaultProps = defaultProps;
var _default = Overlay;
exports.default = _default;