"use strict";

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BootstrapProvider = _interopRequireDefault(require("@bootstrap-styled/provider/lib/BootstrapProvider"));

var _NavigationBar = _interopRequireWildcard(require("../NavigationBar"));

var _OffsetNavPush = _interopRequireDefault(require("../OffsetNavPush"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our OffsetNavPush component
 */
var children = _react.default.createElement("h1", null, "Test");

describe('<OffsetNavPush />', function () {
  var theme;
  var props;
  beforeEach(function () {
    theme = _NavigationBar.defaultProps.theme; // eslint-disable-line prefer-destructuring

    props = Object.assign(_NavigationBar.defaultProps, {
      children: children
    });
  });
  it('should render an OffsetNavPush', function () {
    var renderedComponent = (0, _enzyme.shallow)(_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, _react.default.createElement(_NavigationBar.default, props, _react.default.createElement(_OffsetNavPush.default, null, children))));
    expect(renderedComponent.find('OffsetNavPush').length).toEqual(1);
  });
  it('should render an OffsetNavPush with show xs', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, _react.default.createElement(_NavigationBar.default, Object.assign(props, {
      offsetNav: {
        show: 'xs',
        push: true
      }
    }), children)));
    expect(renderedComponent.find('OffsetNavPush').props().show).toEqual('xs');
  });
});