"use strict";

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BootstrapProvider = _interopRequireDefault(require("@bootstrap-styled/provider/lib/BootstrapProvider"));

var _Overlay = _interopRequireWildcard(require("../Overlay"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our Overlay component
 */
describe('<Overlay />', function () {
  var theme;
  var props;
  beforeEach(function () {
    theme = _Overlay.defaultProps.theme; // eslint-disable-line prefer-destructuring

    props = Object.assign(_Overlay.defaultProps, {
      active: false
    });
  });
  it('should render an Overlay', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, _react.default.createElement(_Overlay.default, props)));
    expect(renderedComponent.find('Overlay').length).toEqual(1);
  });
  it('should render an Overlay without an active props', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, _react.default.createElement(_Overlay.default, Object.assign(props, {
      active: true
    }))));
    expect(renderedComponent.find('Overlay').props().active).toBe(true);
  });
});