"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.propTypes = exports.defaultProps = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _lib = _interopRequireDefault(require("map-to-css-modules/lib"));

var _breakpoints = _interopRequireDefault(require("@bootstrap-styled/css-mixins/lib/breakpoints"));

var _hover = require("@bootstrap-styled/css-mixins/lib/hover");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var defaultProps = {
  theme: {
    navigationStyleguide: {
      '$nav-styleguide-height': '100%',
      '$nav-styleguide-color': '#444444',
      '$nav-styleguide-hover-color': '#898989',
      '$nav-styleguide-bg-color': '#F5F5F5',
      '$nav-styleguide-border': '#e8e8e8 solid',
      '$nav-styleguide-top': 0,
      '$nav-styleguide-left': 0,
      '$nav-styleguide-bottom': 0,
      '$nav-styleguide-overflow': 'auto',
      '$nav-styleguide-list-style-type': 'none',
      '$nav-styleguide-padding-bottom': {
        sm: 4
      },
      '$nav-styleguide-position': {
        sm: 'static',
        md: 'fixed'
      },
      '$nav-styleguide-width': {
        sm: '100%',
        md: '220px'
      },
      '$nav-styleguide-border-width': {
        sm: '1px 0px 0px 0px',
        md: '0px 1px 0px 0px'
      },
      '$nav-styleguide-text-align': {
        sm: 'center',
        md: 'left'
      }
    }
  }
};
exports.defaultProps = defaultProps;
var propTypes = {
  /**
   * @ignore
   */
  className: _propTypes.default.string,
  // eslint-disable-line react/require-default-props

  /** Theme variables. Can be: */
  theme: _propTypes.default.shape({
    navigationStyleguide: _propTypes.default.shape({
      '$nav-styleguide-height': _propTypes.default.string,
      '$nav-styleguide-color': _propTypes.default.string,
      '$nav-styleguide-hover-color': _propTypes.default.string,
      '$nav-styleguide-bg-color': _propTypes.default.string,
      '$nav-styleguide-border': _propTypes.default.string,
      '$nav-styleguide-top': _propTypes.default.number,
      '$nav-styleguide-left': _propTypes.default.number,
      '$nav-styleguide-bottom': _propTypes.default.number,
      '$nav-styleguide-overflow': _propTypes.default.string,
      '$nav-styleguide-list-style-type': _propTypes.default.string,
      '$nav-styleguide-padding-bottom': _propTypes.default.object,
      '$nav-styleguide-position': _propTypes.default.object,
      '$nav-styleguide-width': _propTypes.default.object,
      '$nav-styleguide-border-width': _propTypes.default.object,
      '$nav-styleguide-text-align': _propTypes.default.object
    })
  }),

  /**
   * Replace or remove a className from the component.
   * See example <a href="https://www.npmjs.com/package/map-to-css-modules" target="_blank">here</a>.
   */
  cssModule: _propTypes.default.object // eslint-disable-line react/require-default-props

};
exports.propTypes = propTypes;

var NavigationStyleguideUnstyled = function NavigationStyleguideUnstyled(props) {
  var _omit = (0, _lodash.default)(props, ['theme']),
      className = _omit.className,
      cssModule = _omit.cssModule,
      attributes = _objectWithoutProperties(_omit, ["className", "cssModule"]);

  return _react.default.createElement("div", _extends({
    className: (0, _lib.default)((0, _classnames.default)(className, 'navigation'), cssModule)
  }, attributes));
};

NavigationStyleguideUnstyled.defaultProps = defaultProps;
NavigationStyleguideUnstyled.propTypes = propTypes;
/**
 * A navigation component. Wrap `<NavigationStyleguide />` around any html node or element as the menu links.
 */

var NavigationStyleguide = (0, _styledComponents.default)(NavigationStyleguideUnstyled).withConfig({
  displayName: "NavigationStyleguide",
  componentId: "o0uzon-0"
})(["  ", ""], function (props) {
  return "\n    &.navigation {\n      height: ".concat(props.theme.navigationStyleguide['$nav-styleguide-height'], ";\n      background-color: ").concat(props.theme.navigationStyleguide['$nav-styleguide-bg-color'], ";\n      border: ").concat(props.theme.navigationStyleguide['$nav-styleguide-border'], ";\n      top: ").concat(props.theme.navigationStyleguide['$nav-styleguide-top'], ";\n      left: ").concat(props.theme.navigationStyleguide['$nav-styleguide-left'], ";\n      bottom: ").concat(props.theme.navigationStyleguide['$nav-styleguide-bottom'], ";\n      overflow: ").concat(props.theme.navigationStyleguide['$nav-styleguide-overflow'], ";\n      width: ").concat(props.theme.navigationStyleguide['$nav-styleguide-width'].md, " !important;\n      border-width: ").concat(props.theme.navigationStyleguide['$nav-styleguide-border-width'].md, ";\n      position: ").concat(props.theme.navigationStyleguide['$nav-styleguide-position'].md, ";\n      text-align: ").concat(props.theme.navigationStyleguide['$nav-styleguide-text-align'].md, ";\n    }\n    ").concat(_breakpoints.default.down('sm', props.theme.navigationStyleguide['$grid-breakpoints'], "\n      &.navigation {\n        position: ".concat(props.theme.navigationStyleguide['$nav-styleguide-position'].sm, ";\n        width: ").concat(props.theme.navigationStyleguide['$nav-styleguide-width'].sm, " !important;\n        border-width: ").concat(props.theme.navigationStyleguide['$nav-styleguide-border-width'].sm, ";\n        padding-bottom: ").concat(props.theme.navigationStyleguide['$nav-styleguide-padding-bottom'].sm, ";\n        text-align: ").concat(props.theme.navigationStyleguide['$nav-styleguide-text-align'].sm, ";\n      }\n      &.navigation ul {\n        padding-left: 0;\n      }\n    ")), "\n    &.navigation ul {\n      list-style-type: ").concat(props.theme.navigationStyleguide['$nav-styleguide-list-style-type'], ";\n      padding-left: 15px;\n    }\n    & a {\n      color: ").concat(props.theme.navigationStyleguide['$nav-styleguide-color'], ";\n      ").concat((0, _hover.hoverFocus)(props.theme['$enable-hover-media-query'], "\n        color: ".concat(props.theme.navigationStyleguide['$nav-styleguide-hover-color'], ";\n        text-decoration: none;\n      ")), "\n    }\n ");
});
/* eslint-enable-line indent */

NavigationStyleguide.defaultProps = defaultProps;
NavigationStyleguide.propTypes = propTypes;
/** @component */

var _default = NavigationStyleguide;
exports.default = _default;