"use strict";

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BootstrapProvider = _interopRequireDefault(require("@bootstrap-styled/provider/lib/BootstrapProvider"));

var _NavigationStyleguide = _interopRequireWildcard(require("../NavigationStyleguide"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our NavigationStyleguide component
 */
var children = _react.default.createElement("h1", null, "Test");

describe('<NavigationStyleguide />', function () {
  var theme;
  var props;
  beforeEach(function () {
    theme = _NavigationStyleguide.defaultProps.theme; // eslint-disable-line prefer-destructuring
  });
  it('should render an NavigationBar', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, _react.default.createElement(_NavigationStyleguide.default, props)));
    expect(renderedComponent.find('NavigationStyleguide').length).toEqual(1);
  });
  it('should render a NavigationStyleguide with children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, _react.default.createElement(_NavigationStyleguide.default, props, children)));
    expect(renderedComponent.find('h1').length).toEqual(1);
  });
});